rpms/samba4/devel samba-4.0.0alpha6-GIT-3508a66-undefined-comparison_fn_t.patch, NONE, 1.1 samba4.init, NONE, 1.1 samba4.log, NONE, 1.1 samba4.spec, NONE, 1.1 samba4.sysconfig, NONE, 1.1 .cvsignore, 1.1, 1.2 sources, 1.1, 1.2

Matthew Barnes mbarnes at fedoraproject.org
Fri Feb 27 01:47:49 UTC 2009


Author: mbarnes

Update of /cvs/pkgs/rpms/samba4/devel
In directory cvs1.fedora.phx.redhat.com:/tmp/cvs-serv17510

Modified Files:
	.cvsignore sources 
Added Files:
	samba-4.0.0alpha6-GIT-3508a66-undefined-comparison_fn_t.patch 
	samba4.init samba4.log samba4.spec samba4.sysconfig 
Log Message:

* Wed Feb 25 2009 Matthew Barnes <mbarnes at redhat.com> - 4.0.0-3.alpha6
- Formal package review cleanups.


samba-4.0.0alpha6-GIT-3508a66-undefined-comparison_fn_t.patch:

--- NEW FILE samba-4.0.0alpha6-GIT-3508a66-undefined-comparison_fn_t.patch ---
diff -up samba-4.0.0alpha6-GIT-3508a66/librpc/ndr/libndr.h.undefined-comparison_fn_t samba-4.0.0alpha6-GIT-3508a66/librpc/ndr/libndr.h
--- samba-4.0.0alpha6-GIT-3508a66/librpc/ndr/libndr.h.undefined-comparison_fn_t	2008-12-11 20:30:02.000000000 -0500
+++ samba-4.0.0alpha6-GIT-3508a66/librpc/ndr/libndr.h	2008-12-11 20:30:14.000000000 -0500
@@ -417,7 +417,7 @@ enum ndr_err_code ndr_token_store(TALLOC
 			 struct ndr_token_list **list, 
 			 const void *key, 
 			 uint32_t value);
-enum ndr_err_code ndr_token_retrieve_cmp_fn(struct ndr_token_list **list, const void *key, uint32_t *v, comparison_fn_t _cmp_fn, bool _remove_tok);
+/*enum ndr_err_code ndr_token_retrieve_cmp_fn(struct ndr_token_list **list, const void *key, uint32_t *v, comparison_fn_t _cmp_fn, bool _remove_tok);*/
 enum ndr_err_code ndr_token_retrieve(struct ndr_token_list **list, const void *key, uint32_t *v);
 uint32_t ndr_token_peek(struct ndr_token_list **list, const void *key);
 enum ndr_err_code ndr_pull_array_size(struct ndr_pull *ndr, const void *p);


--- NEW FILE samba4.init ---
#!/bin/sh
#
# chkconfig: - 91 35
# description: Starts and stops the Samba smbd daemon \
#	       used to provide SMB network services.
#
# pidfile: /var/run/samba4/smbd.pid
# config:  /etc/samba/smb.conf

SAMBA_NAME=samba4

# Source function library.
if [ -f /etc/init.d/functions ] ; then
  . /etc/init.d/functions
elif [ -f /etc/rc.d/init.d/functions ] ; then
  . /etc/rc.d/init.d/functions
else
  exit 1
fi

# Avoid using root's TMPDIR
unset TMPDIR

# Source networking configuration.
. /etc/sysconfig/network

if [ -f /etc/sysconfig/$SAMBA_NAME ]; then
   . /etc/sysconfig/$SAMBA_NAME
fi

# Check that networking is up.
[ ${NETWORKING} = "no" ] && exit 1

# Check that smb.conf exists.
[ -f /etc/$SAMBA_NAME/smb.conf ] || exit 6

RETVAL=0


start() {
	echo -n $"Starting Samba services: "
	daemon smbd $SMBDOPTIONS
	RETVAL=$?
	echo
	[ $RETVAL -eq 0 ] && touch /var/lock/subsys/$SAMBA_NAME || \
	   RETVAL=1
	return $RETVAL
}	

stop() {
	echo -n $"Shutting down Samba services: "
	killproc smbd
	RETVAL=$?
	echo
	[ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/$SAMBA_NAME
	return $RETVAL
}	

restart() {
	stop
	start
}	

reload() {
        echo -n $"Reloading smb.conf file: "
	killproc smbd -HUP
	RETVAL=$?
	echo
	return $RETVAL
}	

rhstatus() {
	status smbd
	return $?
}	


# Allow status as non-root.
if [ "$1" = status ]; then
       rhstatus
       exit $?
fi

# Check that we can write to it... so non-root users stop here
[ -w /etc/$SAMBA_NAME/smb.conf ] || exit 4



case "$1" in
  start)
  	start
	;;
  stop)
  	stop
	;;
  restart)
  	restart
	;;
  reload)
  	reload
	;;
  status)
  	rhstatus
	;;
  condrestart)
  	[ -f /var/lock/subsys/$SAMBA_NAME ] && restart || :
	;;
  *)
	echo $"Usage: $0 {start|stop|restart|reload|status|condrestart}"
	exit 2
esac

exit $?


--- NEW FILE samba4.log ---
/var/log/samba4/* {
    notifempty
    olddir /var/log/samba4/old
    missingok
    sharedscripts
    copytruncate
}


--- NEW FILE samba4.spec ---
%define alpha_version 6
%define samba_version 4.0.0alpha%{alpha_version}
%define tarball_name samba-4.0.0alpha%{alpha_version}

%define tdb_version 1.1.1
%define talloc_version 1.2.0

# Most of these subpackages are disabled because they are not
# needed by OpenChange, and to avoid file conflicts with Samba3.
%define enable_samba4  0
%define enable_client  0
%define enable_common  0
%define enable_python  0
%define enable_winbind 0

# Install libraries not needed by OpenChange.
%define all_libraries  0

%{!?python_libdir: %define python_libdir %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1,1)")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

# Licensing Note: Some of the libraries are GPLv3+, others are LGPLv3+.
# The rest of the code is GPLv3+.  Library licensing is still volatile,
# and subject to change.

Name: samba4
Version: 4.0.0
Release: 3.alpha%{alpha_version}%{?dist}
Group: System Environment/Daemons
Summary: The Samba4 CIFS and AD client and server suite
License: GPLv3+ and LGPLv3+
URL: http://www.samba.org/
Source: http://download.samba.org/samba/ftp/samba4/%{tarball_name}.tar.gz
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

# Red Hat specific replacement-files
Source1: %{name}.log
Source4: %{name}.sysconfig
Source5: %{name}.init

Patch1: samba-4.0.0alpha6-GIT-3508a66-undefined-comparison_fn_t.patch

Requires(pre): /usr/sbin/groupadd

%if %enable_samba4
Requires(post): /sbin/chkconfig, /sbin/service
Requires(preun): /sbin/chkconfig, /sbin/service
%endif

%if %enable_common
Requires(pre): %{name}-common = %{version}-%{release}
%endif

Requires: logrotate
Requires: pam
Requires: perl(Parse::Yapp)

BuildRequires: e2fsprogs-devel
BuildRequires: libacl-devel
BuildRequires: libaio-devel
BuildRequires: libattr-devel
BuildRequires: libtalloc-devel >= %{talloc_version}
BuildRequires: libtdb-devel >= %{tdb_version}
BuildRequires: ncurses-devel
BuildRequires: pam-devel
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Parse::Yapp)
BuildRequires: popt-devel
BuildRequires: python-devel
BuildRequires: readline-devel
BuildRequires: sed

%description

Samba 4 is the ambitious next version of the Samba suite that is being
developed in parallel to the stable 3.0 series. The main emphasis in
this branch is support for the Active Directory logon protocols used
by Windows 2000 and above.

%if %enable_client
%package client
Summary: Samba client programs
Group: Applications/System
Requires: %{name}-common = %{version}-%{release}
Requires: %{name}-libs = %{version}-%{release}

%description client
The %{name}-client package provides some SMB/CIFS clients to complement
the built-in SMB/CIFS filesystem in Linux. These clients allow access
of SMB/CIFS shares and printing to SMB/CIFS printers.
%endif

%package libs
Summary: Samba libraries
Group: Applications/System

%description libs
The %{name}-libs package  contains the libraries needed by programs 
that link against the SMB, RPC and other protocols provided by the Samba suite.

%if %enable_python
%package python
Summary: Samba Python libraries
Group: Applications/System
Requires: %{name}-libs = %{version}-%{release}

%description python
The %{name}-python package contains the Python libraries needed by programs
that use SMB, RPC and other Samba provided protocols in Python programs.
%endif

%package devel
Summary: Developer tools for Samba libraries
Group: Development/Libraries
Requires: %{name}-libs = %{version}-%{release}

%description devel
The %{name}-devel package contains the header files for the libraries
needed to develop programs that link against the SMB, RPC and other
libraries in the Samba suite.

%package pidl
Summary: Perl IDL compiler
Group: Development/Tools
Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description pidl
The %{name}-pidl package contains the Perl IDL compiler used by Samba
and Wireshark to parse IDL and similar protocols

%if %enable_common
%package common
Summary: Files used by both Samba servers and clients
Group: Applications/System
Requires: %{name}-libs = %{version}-%{release}

%description common
%{Name}-common provides files necessary for both the server and client
packages of Samba.
%endif

%if %enable_winbind
%package winbind
Summary: Samba winbind
Group: Applications/System
Requires: %{name} = %{version}-%{release}

%description winbind
The samba-winbind package provides the winbind NSS library, and some
client tools.  Winbind enables Linux to be a full member in Windows
domains and to use Windows user and group accounts on Linux.
%endif

%prep
%setup -q -n %{tarball_name}

# copy Red Hat specific scripts

%patch1 -p1 -b .undefined-comparison_fn_t

mv source4/VERSION source4/VERSION.orig
sed -e 's/SAMBA_VERSION_VENDOR_SUFFIX=$/&%{release}/' < source4/VERSION.orig > source4/VERSION
#cd source4
#script/mkversion.sh
#cd ..

%build
cd source4

%configure \
	--enable-fhs \
	--with-lockdir=/var/lib/%{name} \
	--with-piddir=/var/run \
	--with-privatedir=/var/lib/%{name}/private \
	--with-logfilebase=/var/log/%{name} \
	--sysconfdir=%{_sysconfdir}/%{name} \
	--with-winbindd-socket-dir=/var/run/winbind \
	--with-ntp-signd-socket-dir=/var/run/ntp_signd \
	--disable-gnutls

# Build PIDL for installation into vendor directories before
# 'make proto' gets to it.
(cd ../pidl && %{__perl} Makefile.PL INSTALLDIRS=vendor )

# Builds using PIDL the IDL and many other things.
make proto

make everything

%install
rm -rf $RPM_BUILD_ROOT

cd source4

# Don't call 'make install' as we want to call out to the PIDL
# install manually.
make install DESTDIR=$RPM_BUILD_ROOT

# Undo the PIDL install, we want to try again with the right options.
rm -rf $RPM_BUILD_ROOT%{_libdir}/perl5
rm -rf $RPM_BUILD_ROOT%{_datadir}/perl5

# Install PIDL.
( cd ../pidl && make install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT )

# Clean out crap left behind by the PIDL install.
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

cd ..

%if %enable_samba4
mkdir -p $RPM_BUILD_ROOT%{_initrddir}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
%endif

mkdir -p $RPM_BUILD_ROOT/var/run/winbindd
mkdir -p $RPM_BUILD_ROOT/var/run/ntp_signd
mkdir -p $RPM_BUILD_ROOT/var/lib/%{name}/winbindd_privileged
mkdir -p $RPM_BUILD_ROOT/var/log/%{name}/
mkdir -p $RPM_BUILD_ROOT/var/log/%{name}/old

mkdir -p $RPM_BUILD_ROOT/var/lib/%{name}
mkdir -p $RPM_BUILD_ROOT/var/lib/%{name}/private
mkdir -p $RPM_BUILD_ROOT/var/lib/%{name}/sysvol

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/%{name}

%if %enable_samba4
# Install other stuff.
install -m755 %{SOURCE5} $RPM_BUILD_ROOT%{_initrddir}/%{name}
install -m644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/%{name}
install -m644 %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/%{name}
%endif

%if %enable_winbind
mkdir -p $RPM_BUILD_ROOT%{_lib}
ln -sf ../%{_libdir}/libnss_winbind.so  $RPM_BUILD_ROOT%{_lib}/libnss_winbind.so.2 
%else
rm $RPM_BUILD_ROOT%{_bindir}/ntlm_auth
rm $RPM_BUILD_ROOT%{_bindir}/wbinfo
rm $RPM_BUILD_ROOT%{_libdir}/libnss_winbind.so
%endif

# libs {
mkdir -p $RPM_BUILD_ROOT%{_libdir} $RPM_BUILD_ROOT%{_includedir}

# }

# Clean out some stuff we don't want in the Fedora package.
rm $RPM_BUILD_ROOT%{_bindir}/autoidl
rm $RPM_BUILD_ROOT%{_bindir}/epdump
rm $RPM_BUILD_ROOT%{_bindir}/gentest
rm $RPM_BUILD_ROOT%{_bindir}/getntacl
rm $RPM_BUILD_ROOT%{_bindir}/locktest
rm $RPM_BUILD_ROOT%{_bindir}/masktest
rm $RPM_BUILD_ROOT%{_bindir}/minschema
rm $RPM_BUILD_ROOT%{_bindir}/ndrdump
rm $RPM_BUILD_ROOT%{_bindir}/nsstest
rm $RPM_BUILD_ROOT%{_bindir}/rpcclient
rm $RPM_BUILD_ROOT%{_bindir}/samba3dump
rm $RPM_BUILD_ROOT%{_bindir}/setnttoken
rm $RPM_BUILD_ROOT%{_bindir}/smbtorture
rm $RPM_BUILD_ROOT%{_bindir}/subunitrun
rm $RPM_BUILD_ROOT%{_bindir}/tdbtorture

# Avoids a file conflict with perl-Parse-Yapp.
rm -rf $RPM_BUILD_ROOT%{perl_vendorlib}/Parse/Yapp

# Remove files for disabled subpackages.
%if ! %enable_samba4
rm $RPM_BUILD_ROOT%{_sbindir}/samba
rm $RPM_BUILD_ROOT%{_bindir}/mymachinepw
rm $RPM_BUILD_ROOT%{_bindir}/smbstatus
rm $RPM_BUILD_ROOT%{_bindir}/tdbbackup
rm $RPM_BUILD_ROOT%{_bindir}/tdbdump
rm $RPM_BUILD_ROOT%{_bindir}/tdbtool
rm -r $RPM_BUILD_ROOT%{_datadir}/samba/setup
%endif
%if ! %enable_client
rm $RPM_BUILD_ROOT%{_bindir}/nmblookup
rm $RPM_BUILD_ROOT%{_bindir}/smbclient
rm $RPM_BUILD_ROOT%{_bindir}/cifsdd
%endif
%if ! %enable_common
rm $RPM_BUILD_ROOT%{_bindir}/ad2oLschema
rm $RPM_BUILD_ROOT%{_bindir}/ldbadd
rm $RPM_BUILD_ROOT%{_bindir}/ldbdel
rm $RPM_BUILD_ROOT%{_bindir}/ldbedit
rm $RPM_BUILD_ROOT%{_bindir}/ldbmodify
rm $RPM_BUILD_ROOT%{_bindir}/ldbrename
rm $RPM_BUILD_ROOT%{_bindir}/ldbsearch
rm $RPM_BUILD_ROOT%{_bindir}/net
rm $RPM_BUILD_ROOT%{_bindir}/oLschema2ldif
rm $RPM_BUILD_ROOT%{_bindir}/regdiff
rm $RPM_BUILD_ROOT%{_bindir}/regpatch
rm $RPM_BUILD_ROOT%{_bindir}/regshell
rm $RPM_BUILD_ROOT%{_bindir}/regtree
rm $RPM_BUILD_ROOT%{_bindir}/testparm
%endif
%if ! %all_libraries
rm $RPM_BUILD_ROOT%{_libdir}/libdcerpc_atsvc.so
rm $RPM_BUILD_ROOT%{_libdir}/libdcerpc_atsvc.so.*
rm $RPM_BUILD_ROOT%{_libdir}/libgensec.so
rm $RPM_BUILD_ROOT%{_libdir}/libgensec.so.*
rm $RPM_BUILD_ROOT%{_libdir}/libregistry.so
rm $RPM_BUILD_ROOT%{_libdir}/libregistry.so.*
rm $RPM_BUILD_ROOT%{_libdir}/pkgconfig/dcerpc_atsvc.pc
rm $RPM_BUILD_ROOT%{_libdir}/pkgconfig/gensec.pc
rm $RPM_BUILD_ROOT%{_libdir}/pkgconfig/registry.pc
rm $RPM_BUILD_ROOT%{_includedir}/samba-4.0/gensec.h
rm $RPM_BUILD_ROOT%{_includedir}/samba-4.0/registry.h
%endif
%if ! %enable_python
rm -r $RPM_BUILD_ROOT%{python_sitearch}/*
rm -r $RPM_BUILD_ROOT%{python_libdir}/lib
%endif

# This makes the right links, as rpmlint requires that
# the ldconfig-created links be recorded in the RPM.
/sbin/ldconfig -N -n $RPM_BUILD_ROOT%{_libdir}

# Fix up permission on perl install.
%{_fixperms} $RPM_BUILD_ROOT%{perl_vendorlib}

# Fix up permissions in source tree, for debuginfo.
find source4/heimdal -type f | xargs chmod -x

%clean
rm -rf $RPM_BUILD_ROOT

%pre
getent group wbpriv >/dev/null || groupadd -g 88 wbpriv
exit 0

%post
%if %enable_samba4
/sbin/chkconfig --add %{name}
if [ "$1" -ge "1" ]; then
	/sbin/service %{name} condrestart >/dev/null 2>&1 || :
fi
%endif
exit 0

%preun
%if %enable_samba4
if [ $1 = 0 ] ; then
	/sbin/service %{name} stop >/dev/null 2>&1 || :
	/sbin/chkconfig --del %{name}
fi
%endif
exit 0

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING WHATSNEW4.txt
%if %enable_samba4
%{_sbindir}/samba
%{_bindir}/mymachinepw
%{_bindir}/smbstatus
%{_bindir}/tdbbackup
%{_bindir}/tdbdump
%{_bindir}/tdbtool
%{_datadir}/samba/setup
%dir /var/lib/%{name}/sysvol
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%attr(0755,root,root) %{_initrddir}/%{name}
%attr(0700,root,root) %dir /var/log/%{name}
%attr(0700,root,root) %dir /var/log/%{name}/old
%endif

%files libs
%defattr(-,root,root,-)
%doc PFIF.txt
%dir %{_datadir}/samba
%{_datadir}/samba/*.dat
%{_libdir}/libdcerpc.so.*
%{_libdir}/libdcerpc_samr.so.*
%{_libdir}/libldb.so.*
%{_libdir}/libndr.so.*
%{_libdir}/libsamba-hostconfig.so.*
%{_libdir}/libtorture.so.*
#Only needed if Samba's build produces plugins
#%{_libdir}/samba
%dir %{_sysconfdir}/%{name}
#Need to mark this as being owned by Samba, but it is normally created
#by the provision script, which runs best if there is no existing
#smb.conf
#%config(noreplace) %{_sysconfdir}/%{name}/smb.conf
%if %all_libraries
%{_libdir}/libdcerpc_atsvc.so.*
%{_libdir}/libgensec.so.*
%{_libdir}/libregistry.so.*
%endif

%if %enable_winbind
%files winbind
%defattr(-,root,root,-)
%{_bindir}/ntlm_auth
%{_bindir}/wbinfo
%{_libdir}/libnss_winbind.so
/%{_lib}/libnss_winbind.so.2
%dir /var/run/winbindd
%attr(750,root,wbpriv) %dir /var/lib/%{name}/winbindd_privileged
%endif

%if %enable_python
%files python
%defattr(-,root,root,-)
%{python_sitearch}/*
%{python_libdir}/lib
%endif

%files devel
%defattr(-,root,root,-)
%{_includedir}/samba-4.0
%{_libdir}/libdcerpc.so
%{_libdir}/libdcerpc_samr.so
%{_libdir}/libldb.so
%{_libdir}/libndr.so
%{_libdir}/libsamba-hostconfig.so
%{_libdir}/libtorture.so
%{_libdir}/pkgconfig/dcerpc.pc
%{_libdir}/pkgconfig/dcerpc_samr.pc
%{_libdir}/pkgconfig/ldb.pc
%{_libdir}/pkgconfig/ndr.pc
%{_libdir}/pkgconfig/samba-hostconfig.pc
%{_libdir}/pkgconfig/torture.pc
%if %all_libraries
%{_libdir}/libdcerpc_atsvc.so
%{_libdir}/libgensec.so
%{_libdir}/libregistry.so
%{_libdir}/pkgconfig/dcerpc_atsvc.pc
%{_libdir}/pkgconfig/gensec.pc
%{_libdir}/pkgconfig/registry.pc
%{_includedir}/samba-4.0/gen_ndr
%endif

%files pidl
%defattr(-,root,root,-)
%{perl_vendorlib}/*
%{_mandir}/man1/pidl*
%{_mandir}/man3/Parse*
%attr(755,root,root) %{_bindir}/pidl

%if %enable_client
%files client
%defattr(-,root,root,-)
%{_bindir}/nmblookup
%{_bindir}/smbclient
%{_bindir}/cifsdd
%endif

%if %enable_common
%files common
%defattr(-,root,root,-)
%{_bindir}/net
%{_bindir}/testparm
%{_bindir}/ldbadd
%{_bindir}/ldbdel
%{_bindir}/ldbedit
%{_bindir}/ldbmodify
%{_bindir}/ldbsearch
%{_bindir}/ldbrename
%{_bindir}/ad2oLschema
%{_bindir}/oLschema2ldif
%{_bindir}/regdiff
%{_bindir}/regpatch
%{_bindir}/regshell
%{_bindir}/regtree

%dir /var/lib/%{name}
%attr(700,root,root) %dir /var/lib/%{name}/private
# We don't want to put a smb.conf in by default, provision should create it
#%config(noreplace) %{_sysconfdir}/%{name}/smb.conf
%endif

%changelog
* Wed Feb 25 2009 Matthew Barnes <mbarnes at redhat.com> - 4.0.0-3.alpha6
- Formal package review cleanups.

* Mon Feb 23 2009 Matthew Barnes <mbarnes at redhat.com> - 4.0.0-2.alpha6
- Disable subpackages not needed by OpenChange.
- Incorporate package review feedback.

* Mon Jan 19 2009 Matthew Barnes <mbarnes at redhat.com> - 4.0.0-1.alpha6
- Update to 4.0.0alpha6

* Wed Dec 17 2008 Matthew Barnes <mbarnes at redhat.com> - 4.0.0-0.8.alpha6.GIT.3508a66
- Fix another file conflict: smbstatus

* Fri Dec 12 2008 Matthew Barnes <mbarnes at redhat.com> - 4.0.0-0.7.alpha6.GIT.3508a66
- Disable the winbind subpackage because it conflicts with samba-winbind
  and isn't needed to support OpenChange.

* Fri Dec 12 2008 Matthew Barnes <mbarnes at redhat.com> - 4.0.0-0.6.alpha6.GIT.3508a66
- Update to the GIT revision OpenChange is now requiring.

* Fri Aug 29 2008 Andrew Bartlett <abartlet at samba.org> - 0:4.0.0-0.5.alpha5.fc10
- Fix licence tag (the binaries are built into a GPLv3 whole, so the BSD licence need not be mentioned)

* Fri Jul 25 2008 Andrew Bartlett <abartlet at samba.org> - 0:4.0.0-0.4.alpha5.fc10
- Remove talloc and tdb dependency (per https://bugzilla.redhat.com/show_bug.cgi?id=453083)
- Fix deps on chkconfig and service to main pkg (not -common) 
  (per https://bugzilla.redhat.com/show_bug.cgi?id=453083)

* Mon Jul 21 2008 Brad Hards <bradh at frogmouth.ent> - 0:4.0.0-0.3.alpha5.fc10
- Use --sysconfdir instead of --with-configdir
- Add patch for C++ header compatibility

* Mon Jun 30 2008 Andrew Bartlett <abartlet at samba.org> - 0:4.0.0-0.2.alpha5.fc9
- Update per review feedback
- Update for alpha5

* Thu Jun 26 2008 Andrew Bartlett <abartlet at samba.org> - 0:4.0.0-0.1.alpha4.fc9
- Rework Fedora's Samba 3.2.0-1.rc2.16 spec file for Samba4


--- NEW FILE samba4.sysconfig ---
# Options to smbd
SMBDOPTIONS=""


Index: .cvsignore
===================================================================
RCS file: /cvs/pkgs/rpms/samba4/devel/.cvsignore,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- .cvsignore	27 Feb 2009 00:32:12 -0000	1.1
+++ .cvsignore	27 Feb 2009 01:47:19 -0000	1.2
@@ -0,0 +1 @@
+samba-4.0.0alpha6.tar.gz


Index: sources
===================================================================
RCS file: /cvs/pkgs/rpms/samba4/devel/sources,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- sources	27 Feb 2009 00:32:12 -0000	1.1
+++ sources	27 Feb 2009 01:47:19 -0000	1.2
@@ -0,0 +1 @@
+2f6e52349eebabe83ed3cf207a8739f3  samba-4.0.0alpha6.tar.gz




More information about the scm-commits mailing list